{% set vars = {'flag': True} %}
{% for hostname in user.inventory_hosts %}
{% if hostname is mapping %}
{% if hostname[inventory_hostname] is defined %}
{% set _ = vars.update({'flag': False}) %}
{% for entry in hostname[inventory_hostname] %}
{{entry.options|default('')}} {{user.name}} {{entry}} {{entry.comment|default('')}}
{% endfor %}
{% endif %}
{% endif %}
{% endfor %}
{% if vars.flag and user.team_group.sudo_rights is defined and user.team_group.sudo_rights|length > 0 %}
{% for entry in user.team_group.sudo_rights %}
{{entry.options|default('')}} {{user.name}} {{entry}} {{entry.comment|default('')}}
{% endfor %}
{% endif %}